summary refs log tree commit diff
path: root/home/.local/bin/nasd
diff options
context:
space:
mode:
Diffstat (limited to 'home/.local/bin/nasd')
-rwxr-xr-xhome/.local/bin/nasd12
1 files changed, 6 insertions, 6 deletions
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
index 203fdd2d..d64b2c3a 100755
--- a/home/.local/bin/nasd
+++ b/home/.local/bin/nasd
@@ -1,9 +1,9 @@
 #!/bin/sh
-set -e -u
+set -eu
 
 dir=$(mktemp -d)
-echo 'bits 64' > $dir/input
-cat >> $dir/input
-nasm -o $dir/output $dir/input || true
-ndisasm -b 64 $dir/output || true
-rm -r $dir
+echo 'bits 64' > "${dir}/input"
+cat >> "${dir}/input"
+nasm -o "${dir}/output" "${dir}/input" || true
+ndisasm -b 64 "${dir}/output" || true
+rm -r "$dir"